package com.hai.service;

import com.hai.entity.HighDiscountPackageRecord;

import java.util.List;
import java.util.Map;

/**
 * @serviceName HighDiscountPackageRecordService.java
 * @author Sum1Dream
 * @version 1.0.0
 * @Description // 优惠券包订单列表
 * @createTime 11:41 上午 2021/12/9
 **/
public interface HighDiscountPackageRecordService {

    /**
    * @Author Sum1Dream
    * @name getDiscountPackageRecord.java
    * @Description // 优惠券包订单列表
    * @Date 11:40 上午 2021/12/9
    * @Param [java.util.Map<java.lang.String,java.lang.Object>]
    * @return java.util.List<com.hai.entity.HighDiscountPackageRecord>
    */
    List<HighDiscountPackageRecord> getDiscountPackageRecord(Map<String , Object> map);

    /**
     * 增加记录
     * @param record
     */
    void insertRecord(HighDiscountPackageRecord record);

}
